graph.tasks

## Class GraphTasksVertex

- java.lang.Object
- - list.listinterface.Element
  - - searchable.searchableinterface.SearchableElement
    - - graph.graphinterface.GraphVertex
      - - graph.tasks.GraphTasksVertex

-     public abstract class GraphTasksVertex
      extends GraphVertex

  Specifikace ohodnoceného vrcholu pro řešení grafových úloh.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private java.lang.Object` | `handle` handle pro Dijkstrův algoritmus, index pro Floydův algoritmus
    `private int` | `number` počet předchůdců pro topologické uspořádání, číslo komponenty pro minimální kostru
    `private float` | `pathLength` pro algoritmy nejkratší cesty
    `private GraphTasksVertex` | `predecessor` pro Dijkstrův algoritmus nejkratší cesty
    `private Status` | `status` stav vrcholu při procházení grafu

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `GraphTasksVertex()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `(package private) void` | `decNumber()` Zmenší number.
    `(package private) java.lang.Object` | `getHandle()`
    `(package private) int` | `getNumber()`
    `(package private) float` | `getPathLength()`
    `(package private) GraphTasksVertex` | `getPredecessor()`
    `Status` | `getStatus()` Zjistí stav vrcholu při procházení grafu.
    `(package private) void` | `incNumber()` Zvětší number.
    `(package private) void` | `setHandle(java.lang.Object handle)`
    `(package private) void` | `setNumber(int number)`
    `(package private) void` | `setPathLength(float pathLength)`
    `(package private) void` | `setPredecessor(GraphTasksVertex predecessor)`
    `void` | `setStatus(Status status)` Nastaví stav vrcholu při procházení grafu.

    - ### Methods inherited from class searchable.searchableinterface.SearchableElement

      `getReadable, isMatching, isPreceding, isSucceeding, makeSentinel`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### status

          private Status status

      stav vrcholu při procházení grafu

    - #### number

          private int number

      počet předchůdců pro topologické uspořádání, číslo komponenty pro minimální kostru

    - #### handle

          private java.lang.Object handle

      handle pro Dijkstrův algoritmus, index pro Floydův algoritmus

    - #### pathLength

          private float pathLength

      pro algoritmy nejkratší cesty

    - #### predecessor

          private GraphTasksVertex predecessor

      pro Dijkstrův algoritmus nejkratší cesty

  - ### Constructor Detail

    - #### GraphTasksVertex

          public GraphTasksVertex()

  - ### Method Detail

    - #### getStatus

          public Status getStatus()

      Zjistí stav vrcholu při procházení grafu.
      Returns:
        stav vrcholu

    - #### setStatus

          public void setStatus(Status status)

      Nastaví stav vrcholu při procházení grafu.
      Parameters:
        `status` - stav, který se má nastavit vrcholu

    - #### incNumber

          void incNumber()

      Zvětší number. Různé úlohy jej využívají pro svoje různé účely.

    - #### decNumber

          void decNumber()

      Zmenší number.

    - #### getNumber

          int getNumber()

      Returns:
        the number

    - #### setNumber

          void setNumber(int number)

      Parameters:
        `number` - the number to set

    - #### getPathLength

          float getPathLength()

      Returns:
        the pathLength

    - #### setPathLength

          void setPathLength(float pathLength)

      Parameters:
        `pathLength` - the pathLength to set

    - #### getPredecessor

          GraphTasksVertex getPredecessor()

      Returns:
        the predecessor

    - #### setPredecessor

          void setPredecessor(GraphTasksVertex predecessor)

      Parameters:
        `predecessor` - the predecessor to set

    - #### getHandle

          java.lang.Object getHandle()

      Returns:
        the handle

    - #### setHandle

          void setHandle(java.lang.Object handle)

      Parameters:
        `handle` - the handle to set